Page MenuHomePhabricator

decommission labstore2003.codfw.wmnet and labstore2004.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission of server labstore2003.codfw.wmnet. These boxes are both over 8 years old so should probably not be reclaimed or reused.

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

labstore2003.codfw.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

labstore2004.codfw.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/dns : masterDNS: Remove mgmt DNS for labstore200[1-4]
operations/dns : masterremove refs to labstore2003/2004
operations/puppet : productionRemove references to labstore2003/2004

Event Timeline

Andrew updated the task description. (Show Details)Jan 21 2020, 6:56 PM

cookbooks.sre.hosts.decommission executed by andrew@cumin1001 for hosts: labstore2003.codfw.wmnet

  • labstore2003.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
Andrew updated the task description. (Show Details)Jan 21 2020, 7:01 PM

cookbooks.sre.hosts.decommission executed by andrew@cumin1001 for hosts: labstore2004.codfw.wmnet

  • labstore2004.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 566339 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Remove references to labstore2003/2004

https://gerrit.wikimedia.org/r/566339

Change 566341 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/dns@master] remove refs to labstore2003/2004

https://gerrit.wikimedia.org/r/566341

Change 566339 merged by Andrew Bogott:
[operations/puppet@production] Remove references to labstore2003/2004

https://gerrit.wikimedia.org/r/566339

Change 566341 merged by Andrew Bogott:
[operations/dns@master] remove refs to labstore2003/2004

https://gerrit.wikimedia.org/r/566341

Andrew reassigned this task from Andrew to Papaul.Jan 21 2020, 7:07 PM
Andrew updated the task description. (Show Details)
Andrew removed a subscriber: cloud-services-team (Kanban).

@Papaul, I'm not positive but I think these servers have disk shelves attached. If so those shelves can also be decom'd at the same time.

Thank you!

RobH removed a subscriber: RobH.Jan 21 2020, 7:23 PM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.
Papaul added a subscriber: RobH.
RobH removed a subscriber: RobH.Jan 22 2020, 7:35 PM
Papaul added a comment.EditedFeb 4 2020, 3:28 AM
papaul@asw-b-codfw# show | compare 
[edit interfaces interface-range vlan-cloud-support1-b-codfw]
-    member ge-8/0/1;
[edit interfaces interface-range disabled]
     member ge-1/0/1 { ... }
+    member ge-8/0/1;
+    member ge-8/0/9;
[edit interfaces]
-   ge-8/0/1 {
-       description labstore2004;
-       enable;
-   }
-   ge-8/0/9 {
-       description labstore2003;
-       enable;
-   }
Papaul added a comment.Feb 4 2020, 4:00 AM

I did not remove ge-8/0/9 from interface-range vlan-cloud-support1-b-codfw see T244196

Papaul updated the task description. (Show Details)Feb 4 2020, 4:00 AM
Papaul added a subscriber: RobH.
Papaul updated the task description. (Show Details)Feb 19 2020, 9:58 PM
RobH removed a subscriber: RobH.Feb 19 2020, 10:31 PM
Papaul updated the task description. (Show Details)Feb 22 2020, 12:59 AM
Papaul added a subscriber: RobH.
RobH removed a subscriber: RobH.Tue, Mar 3, 6:00 PM

Change 577690 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for labstore200[1-4]

https://gerrit.wikimedia.org/r/577690

Change 577690 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for labstore200[1-4]

https://gerrit.wikimedia.org/r/577690

Papaul closed this task as Resolved.Fri, Mar 6, 11:12 PM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: RobH.

complete